org.appng.api.model

## Interface AuthSubject

- All Superinterfaces:
    Account
  All Known Subinterfaces:
    Subject
  All Known Implementing Classes:
    SubjectImpl

      public interface AuthSubject
      extends Account

  An `AuthSubject` provides some user-credentials.
  Author:
    Matthias Müller

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `AuthSubject.PasswordChangePolicy` The policy for changing the subject's password

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDigest()` Returns the salted digest for this `AuthSubject`.
    `default AuthSubject.PasswordChangePolicy` | `getPasswordChangePolicy()` Returns the `AuthSubject.PasswordChangePolicy` for this subject
    `String` | `getSalt()` Returns the salt for this `AuthSubject`.
    `void` | `setDigest(String digest)` Sets the salted digest for this `AuthSubject`.
    `default void` | `setPasswordChangePolicy(AuthSubject.PasswordChangePolicy passwordChangePolicy)` Sets the `AuthSubject.PasswordChangePolicy` to use.
    `default void` | `setPasswordLastChanged(Date date)` Sets the date when the password was last changed
    `void` | `setSalt(String salt)` Sets the salt for this `AuthSubject`.

    - ### Methods inherited from interface org.appng.api.model.Account

      `getAuthName, getEmail, getLanguage, getRealname, getTimeZone`

- - ### Method Detail

    - #### getDigest

          String getDigest()

      Returns the salted digest for this `AuthSubject`.
      Returns:
        the salted digest

    - #### getSalt

          String getSalt()

      Returns the salt for this `AuthSubject`.
      Returns:
        the salt

    - #### setSalt

          void setSalt(String salt)

      Sets the salt for this `AuthSubject`.
      Parameters:
        `salt` - the salt

    - #### setDigest

          void setDigest(String digest)

      Sets the salted digest for this `AuthSubject`.
      Parameters:
        `digest` - the digest

    - #### getPasswordChangePolicy

          default AuthSubject.PasswordChangePolicy getPasswordChangePolicy()

      Returns the `AuthSubject.PasswordChangePolicy` for this subject
      Returns:
        the `AuthSubject.PasswordChangePolicy` for this subject
      Since:
        1.21

    - #### setPasswordChangePolicy

          default void setPasswordChangePolicy(AuthSubject.PasswordChangePolicy passwordChangePolicy)

      Sets the `AuthSubject.PasswordChangePolicy` to use.
      Parameters:
        `passwordChangePolicy` - the policy to use
      Since:
        1.21

    - #### setPasswordLastChanged

          default void setPasswordLastChanged(Date date)

      Sets the date when the password was last changed
      Parameters:
        `date` - the date
      Since:
        1.21

Copyright © 2011–2023 aiticon GmbH. All rights reserved.